Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 302473005: athena: Add a minimal executable for just the UI. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
12 months ago by sadrul
Modified:
12 months ago
CC:
chromium-reviews, tfarina
Visibility:
Public.

Description

athena: Add a minimal executable for just the UI. athena_ui_main is a small executable that creates an aura host window and builds the athena UI on it. This should make it easier to play with the UI (a la ash_shell etc.) BUG=362288 R=oshima@chromium.org TBR=ben@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=273718

Patch Set 1 #

Total comments: 5

Patch Set 2 : . #

Total comments: 6

Patch Set 3 : . #

Patch Set 4 : . #

Messages

Total messages: 9 (0 generated)
sadrul
12 months ago (2014-05-26 18:47:44 UTC) #1
sadrul
https://codereview.chromium.org/302473005/diff/1/athena/ui/athena_ui_main.cc File athena/ui/athena_ui_main.cc (right): https://codereview.chromium.org/302473005/diff/1/athena/ui/athena_ui_main.cc#newcode57 athena/ui/athena_ui_main.cc:57: void InitAthenaUI() { Does it make sense to move ...
12 months ago (2014-05-26 18:53:01 UTC) #2
oshima (OOO May 22nd)
You beats me to it. I feel it's overkill to have separate directory for this ...
12 months ago (2014-05-27 18:32:14 UTC) #3
sadrul
On 2014/05/27 18:32:14, oshima wrote: > You beats me to it. I feel it's overkill ...
12 months ago (2014-05-29 03:03:56 UTC) #4
oshima (OOO May 22nd)
lgtm with nit and optional suggestion https://codereview.chromium.org/302473005/diff/20001/athena/main/athena_shell.cc File athena/main/athena_shell.cc (right): https://codereview.chromium.org/302473005/diff/20001/athena/main/athena_shell.cc#newcode8 athena/main/athena_shell.cc:8: #include "athena/wm/public/window_manager.h" nit: ...
12 months ago (2014-05-29 05:19:33 UTC) #5
oshima (OOO May 22nd)
slgtm https://codereview.chromium.org/302473005/diff/20001/athena/main/athena_shell.cc File athena/main/athena_shell.cc (right): https://codereview.chromium.org/302473005/diff/20001/athena/main/athena_shell.cc#newcode55 athena/main/athena_shell.cc:55: visibility_controller_.get()); one more nit. StartAthena does this, so ...
12 months ago (2014-05-29 14:54:22 UTC) #6
sadrul
https://codereview.chromium.org/302473005/diff/20001/athena/main/athena_shell.cc File athena/main/athena_shell.cc (right): https://codereview.chromium.org/302473005/diff/20001/athena/main/athena_shell.cc#newcode8 athena/main/athena_shell.cc:8: #include "athena/wm/public/window_manager.h" On 2014/05/29 05:19:33, oshima wrote: > nit: ...
12 months ago (2014-05-30 02:29:48 UTC) #7
sadrul
Committed patchset #4 manually as r273718 (presubmit successful).
12 months ago (2014-05-30 05:23:07 UTC) #8
tfarina
12 months ago (2014-05-30 05:36:41 UTC) #9
Message was sent while issue was closed.
You forgot to update the CL description:

s/athena_ui_main/athena_shell. ;)
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be